Name:           perl-Alien-Autotools
%global debug_package %{nil}
Version:        1.08
Release:        1%{?dist}
Summary:        Build and install the GNU build system
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Alien-Autotools/
Source0:        http://www.cpan.org/authors/id/P/PL/PLICEASE/Alien-Autotools-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Alien::Build) >= 0.66
BuildRequires:  perl(Alien::autoconf) >= 0.18
BuildRequires:  perl(Alien::automake) >= 0.18
BuildRequires:  perl(Alien::libtool) >= 0.15
BuildRequires:  perl(Alien::m4) >= 0.18
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Test2::V0) >= 0.000121
BuildRequires:  perl(Test::Alien) >= 2.52
BuildRequires:  perl(Test::Alien::Build)
BuildRequires:  perl-generators
Requires:       perl(Alien::Build) >= 0.66
Requires:       perl(Alien::autoconf) >= 0.18
Requires:       perl(Alien::automake) >= 0.18
Requires:       perl(Alien::libtool) >= 0.15
Requires:       perl(Alien::m4) >= 0.18
Requires:       perl(File::Which)
Requires:       perl(Path::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(Alien::Autotools)

%description
This Alien provides the minimum tools requires for building autoconf based
projects which do not come bundled with a working configure script. It
currently delegates most of its responsibilities to Alien::autoconf,
Alien::automake, Alien::libtool, and Alien::m4.

%prep
%setup -q -n Alien-Autotools-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README author.yml dist.ini perlcriticrc
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Apr 29 2024 rpm 1.08-1
- Specfile autogenerated by cpanspec 1.78.
